Subject: Re: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Jim Porter <[email-masked]>
Date: Wed, 25 Jun 2025 13:12:07 -0700

On 6/25/2025 9:19 AM, Stephen Berman via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> I checked now, and in emacs-30 the current buffer when temp-buffer-name
> is set is the one visiting the file being annotated, while in master
> it's the buffer displaying the annotations.  In emacs-30 there is a call
> to `vc-ensure-vc-buffer' before the let sexp where temp-buffer-name is
> set, but not in master; adding that back seems to fix the problem.

Good catch! Looking at the implementation of 'vc-ensure-vc-buffer', that 
seems like exactly what we want to use here.